Index: otscripts/CHANGELOG
===================================================================
--- bootscripts/CHANGELOG	(revision ed30f2e343c5638c51cde5ab993267af41abbf25)
+++ 	(revision )
@@ -1,791 +1,0 @@
-n/a - September 11, 2005
-	* Removed text wraping and boot logging.
-	* Changed killproc to use warning if not running
-	* Changed 'print_status warning' to use old style output
-	* Fixed display error with LSB init-functions script
-	* Made above killproc/print_status changes in enhanced
-	  bootscripts.
-	* Made logger service configurable in enhanced 
-	  bootscripts. (DJ Lucas)
-
-n/a - August 14, 2005
-	* Added -s flag to pidofproc() for backwards 
-	  compatibility (DJ Lucas)
-	* Fixed erronous values returned by pidofproc() which 
-	  broke the functionality of statusproc (DJ Lucas)
-
-n/a - July 1, 2005
-	* Changed a == to a = in lfs/init.d/functions, in the boot_mesg
-	  function for ash compliancy (Nathan Coulson)
-
-n/a - June 26, 2005
-	* Removed consolelog script from contrib 
-	* Updated interactive rc script in contrib and added 
-	  README.rc-Interactive, added install target to the
-	  Makefile. (DJ Lucas)
-
-3.2.2 - May 29, 2005
-	* Tagged as 3.2.2 (Nathan Coulson)
-
-n/a - May 26, 2005
-	* Added minimal target for cross-lfs book (Jim Gifford)
-	* Fixed raq2 patch (Jim Gifford)
-
-3.2.1 - May 1, 2005
-	* Tagged as 3.2.1 (Nathan Coulson)
-
-n/a - April 17, 2005
-	* removed touch from hotplug bootscript (Matthew Burgess)
-	* moved commands around in localnet bootscript (Andrew Benton)
-
-3.2.0 - March 30, 2005
-	* Changed from syslog-ng to sysklogd (Archaic)
-	* Temporairly changed loadproc to return 0 if the program is
-	  already running (Nathan Coulson)
-	* Fixed (by reverting) ifup/ifdown/network (Nathan Coulson),
-	  Reported by Jim Gifford
-	* Fixed network up/down along with adding support of ONHOTPLUG
-	* Tagged as 3.2.0
-
-n/a - March 19, 2005
-	* Updated RaQ2 patch (Jim Gifford)
-	* Added net.agent for Hotplug of Network adapters in contrib
-	  (Jim Gifford)
-
-n/a - March 16, 2005
-	* Reverted the change from loadproc to start_daemon,
-	  Moved compatibility code into one single function.
-	  (Nathan Coulson)
-	* Readded the ONHOTPLUG option for ifup/ifdown (Nathan Coulson)
-	* Fixed killproc's output
-
-n/a - March 01, 2005
-	* Added CHECK_LINK variable in ifconfig.*/*, so if the
-	  interface does not exist, it will not fail.
-	  (Nathan Coulson)
-
-n/a - February 19, 2005
-	* Added evaluate_retval to the end of loadproc and killproc.
-	  lsb does not say that killproc should print [  OK  ],
-	  but required for compatibility.  (Nathan Coulson)
-
-n/a - February 9, 2005
-	* Accidently mounted /dev with 775 instead of 755, fixed
-	  (Reported by Alexander E. Patrakov)
-
-n/a - February 9, 2005
-	* Bugfix for /dev, now mounted with 755 permission
-
-n/a - February 8, 2005
-	* changed pidof, so it doesnt check the process id
-	  of running bootscripts, and to process shell scripts
-	  (Nathan Coulson)
-
-n/a - February 6, 2005
-	* Updated main functions file with lsb functions file
-	  Should now be LSB compliant (Nathan Coulson)
-
-n/a - January 10, 2005
-	* Moved ONBOOT check back to network (Nathan Coulson)
-	* Removed ONHOTPLUG check (Nathan Coulson)
-
-n/a - January 6, 2005
-	* fixed mountkernfs output (Nathan Coulson)
-	* reverted mountfs fakemounting (Nathan Coulson)
-
-n/a - January 5, 2005
-	* Attempted to simplify network bootup files (Nathan Coulson)
-	* Modified mountkernfs to use mountpoint (Nathan Coulson)
-	* Assuming sysfs is always mounted (Nathan Coulson)
-	* Moved fakemount to below mounting (Nathan Coulson)
-	* Removed -t noramfs from umount, as we now use tmpfs (Nathan Coulson)
-	* moved sysctl from mountkernfs to sysctl (Nathan Coulson)
-	* Added -q to sysctl (Nathan Coulson)
-
-n/a - January 2, 2005
-	* Fixed statusproc output. (DJ Lucas)
-
-3.1.0 - December 31, 2004
-	* fixed textoutput
-	* Tagged as 3.1.0
-
-n/a - December 30, 2004
-	* Fixed name of LSB Functions file
-	* Changed boot_mesg to act like echo instead of echo -n, boot_mesg now
-	  takes the -n argument if you do not wish to goto the next line
-
-3.0.1 - December 25, 2004
-	* Released as 3.0.1
-
-n/a - December 20, 2004
-	* Cleaned up header.
-	* Added RaQ2 Patch
-
-n/a - December 16, 2004
-	* Fixed a text typo in udev, tmpfs instead of ramfs (Steve Crosby)
-
-n/a - December 14, 2004
-	* Fixed a warning with find in cleanfs
-
-
-3.0 - December 8, 2004
-
-n/a - December 5, 2004
-	* Moved bootlog to use local2 service to avoide conflict with
-	  dhcpcd (DJ Lucas)
-
-3.0-rc1 - December 1, 2004
-	* rc-Interactive added (DJ Lucas)
-	* rc-Interactive moved to contrib (Nathan Coulson)
-
-n/a - November 27, 2004
-	* Moved bootlog to use local1 to avoid conflict with ppd (DJ Lucas)
-
-n/a - November 25, 2004
-	* Added consolelog to contrib/sysconfig (DJ Lucas)
-	* Rewrite of line wraping in boot_mesg and various fixes
-	  related to boot_mesg changes (DJ Lucas, Alexander Patrakov)
-	* syslog-ng is now installed by default (Jeremy Utley)
-	* hotplug is now installed by default (Jeremy Utley)
-	* udev now uses /sbin/hotplug as the default hotplug handler (Nathan Coulson)
-	* udev now mounts a tmpfs instead of a ramfs onto /dev,
-	  as suggested by Greg K-H (Nathan Coulson)
-	* Created contrib/lsb, and added a LSB compliant functions file
-	  (Nathan Coulson, and Alexander Patrakov)
-	* Modified find [requires find 4.2.3+] (Matthew Burgess)
-
-n/a - November 20, 2004
-	* Modifed modules script to return to previous kernel message
-	  level (DJ Lucas)
-
-n/a - November 02, 2004
-	* Added sysctl -p to mountkernfs (Matthew Burgess, DJ Lucas)
-
-n/a - October 07, 2004
-	* statusproc modified not to send data to bootlog (Nathan Coulson)
-	* Fixed halt commands in checkfs and udev (James Robertson)
-
-n/a - October 04, 2004
-	* Fixes to commit on 2004/09/30 (James Robertson)
-	* Revert a few changes until later (Nathan Coulson)
-	* Added a warning about switching from a 8bit font
-	  to a 9bit font (Alexander Patrakov)
-
-n/a - September 30, 2004
-	* Finished off boot_mesg() (James Robertson)
-	* Standardized all scripts to same variable format and other
-	  internal sh/bash function calls (James Robertson)
-	* Fully implemented boot_mesg across all scripts in sysconfig
-	  and init.d (James Robertson)
-
-n/a - September 26, 2004
-	* Added BOOTMESG_PREFIX variable, so users can optionally set a
-	  prefix for boot messages (James Robertson)
-	* Fixed localnet status, to use ip instead of ifconfig (Jim Gifford)
-	* Added consolelog to contrib (DJ Lucas)
-	* loadproc and killproc can have the -nomsg parameter to avoid
-	  calling evaluate_retval or print_status (Jim Gifford)
-	* boot_mesg no longer explicitly adds a \n onto end of lines
-	* Added a function called boot_mesg_flush, which can
-	  dump the BOOTMESG to the bootlog.  This helps avoid making
-	  everything have to end in OK/WARN/FAIL (Nathan Coulson)
-
-n/a - September 24, 2004
-	* Removed /dev/udev.tdb test
-
-n/a - September 23, 2004
-	* Fixed boot_log so it output's $@'s contents, not @$
-	* Added support for colors in boot_mesg (James Robertson)
-	* Modified udev's error checking
-	* Modified hotplug's error checking
-	* Converted checkfs's error handling to use boot_mesg with
-	  color support
-	* Added $INFO color to functions (James Robertson)
-
-n/a - September 22, 2004
-	* Removed the dependency on wl by replacing it with grep (Bryan Kadzban)
-	* Fixed getpids, to remove unused pids obtained from $PIDFILE
-	* Removed ${NORMAL} from echo "$BOOTMESG" in functions, and removed
-	   space added to each additional sentence tacked onto BOOTMESG
-	* boot_mesg now handles \n's properly, and does not dimish the size of
-	  the next line (James Robertson)
-	* boot_log has been added.  The echo_ functions commit the log,
-	  and then clear the BOOTMSG variable
-	* All scriptes have been converted to use boot_mesg
-
-n/a - September 21, 2004
-	* boot_mesg has been enhanced.  Subsequent calls will overwrite previous
-	  text, and it will wrap text basedupon the variable ${WCOL}. 
-	  (James Robertson)
-	* Fixed mtu optional service typo (Kevin P Fleming)
-	* Added SOURCE variable to ipv4-static-route (Kevin P Fleming)
-
-n/a - September 16, 2004
-	* nework interfaces are now brought down in reverse order
-
-n/a - September 15, 2004
-	* Added blue bracket, from dj's 3.0-pre1 bootscript package 
-	  [echo_failure, echo_warning, and echo_ok]
-	* Added a new function called boot_mesg, meant to replace the echo
-	  command.
-	  This will give us the posibility of doing logging at a later date
-	* Do not set COLUMNS if COLUMNS is already set
-	* Modified getpids, loadproc, killproc, reloadproc, and statusproc as
-	  done by DJ
-
-2.2.3 - September 04, 2004
-	* Tagged as 2.2.3
-
-n/a - September 04, 2004
-	* Added new script to contrib for syslog-ng, which is now part of
-	  LFS-Unstable, and a new Makefile target install-syslog-ng which
-	  removes the sysklogd links, and replaces them with syslog-ng (JU)
-
-2.2.2 - August 11, 2004
-	* Tagged as 2.2.2
-
-n/a - August 7, 2004
-	* Added missing error redirect (/dev/null) in getpids. (DJ)
-
-n/a - August 4, 2004
-	* Added MODE, DIRMODE, and CONFMODE variables to the makefile 
-	  to allow permissions to be set at install. (DJ)
-
-n/a - July 31, 2004
-	
-	* Moved PIDFILE check to getpids and removed arguments from
-	  killproc and reloadproc.  Signals are now set at begining of
-	  funtcions script with KILLDELAY. (DJ)
-	* Added a optional service script which can set the MTU for a given
-	  interface
-
-n/a - July 21, 2004
-
-	* Committed DJ Lucas's patch for the killproc function.  It no 
-	  longer requires arguments if PIDFILE is set
-	* added --backup to all sysconfig configuration files, so they are not
-	  replaced on a make install
-
-n/a - July 13, 2004
-
-	* Added the PEER variable to the ifconfig.*/* file, done by
-	  Kevin P. Fleming
-
-2.2.1 - July 12, 2004
-
-	* Tagged as 2.2.1
-
-n/a - July 12, 2004
-
-	* Hotplug was moved from rcsysinit.d to rc{1,2,3,4,5} to help bring
-	  up/down network interfaces started by hotplug.  This has been revoked
-	  at this time
-	* Networking interfaces are now brought down in reverse order
-	* Moved the ONBOOT check to within ifup/ifdown, so we can bring up/down
-	  the interfaces at boottime/shutdown properly, done by Kevin P. Fleming
-	* Use PREFIX instead of NETMASK for adding addresses in ipv4-static,
-	  done by Kevin P. Fleming
-	* Fix reversal of services inside ifconfig.* directories in ifdown,
-	  done by Kevin P. Fleming
-	* Add ipv4-static-route service, supplied by Kevin P. Fleming
-
-2.2.0 - July 12, 2004
-
-	* Tagged as 2.2.0
-
-n/a - July 11, 2004
-
-	* Minor script output changes
-	* Repaired networking scripts broken in previous commits
-
-n/a - July 10, 2004
-
-	* We now use the ip program [from iproute2] instead of ipconfig
-	  [net-tools] to bring up/down ethernet interfaces, and local
-	  connections, submitted by Jim Gifford
-	* Removed gateway backward compatibility
-	* Removed ifup-eth0 ifdown-eth0 compatibility
-	* Removed the "assume SERVICE=static if SERVICE is unset" compatibility
-	* Pass the IFCONFIG environmental variable to services, so they can
-	  locate the file with the parameters they must read
-	* Rename static to ipv4-static
-	* Stage1 for network configuration via directories, ifup and ifdown
-	  modified, and the static service modified
-	* Stage2 for network configuration via directories complete, network was
-	  modified to check within subdirectories for ONBOOT=yes.  Final Stage
-
-n/a - July 8, 2004
-
-	* Changed iso01 to lat1 everywhere in /etc/sysconfig/console. This
-	  fixes the problem with line-drawing characters.
-
-n/a - July 7, 2004
-
-	* Halted the computer, if unable to mount /dev as a ramfs
-
-n/a - July 6, 2004
-
-	* Moved the hotplug bootscript back to contrib, it will not be used in
-	  the testing branch of the lfs book at this time
-
-n/a - July 4, 2004
-
-	* Modified ifup and ifdown to be hotplug aware
-
-n/a - July 3, 2004
-
-	* Change the check for ONBOOT into a source within a subshell
-
-n/a - July 1, 2004
-
-	* Moved hotplug start to runlevels 3-5 from sysinit
-
-n/a - June 30, 2004
-
-	* Pass -depth in cleanfs
-
-n/a - June 29, 2004
-
-	* Made the grep for ONBOOT in the network script more exact
-
-2.1.2 - June 27, 2004
-
-	* Install the automatic module loading script by default
-	* Tagged as 2.1.2
-
-n/a - June 26, 2004
-
-	* Fixed font for UK in /etc/sysconfig/console
-
-n/a - June 23, 2004
-
-	* Fixed a typo in the hotplug installation procedure
-
-n/a - June 21, 2004
-
-	* Re-ordered the "mount" and "echo" commands in the udev script, to
-	  prevent a possible race
-	* Converted the udev script to use udevsend/udevd
-	* Moved removal of /fastboot and /forcefsck to just after the root fs
-	  becomes writable, and dropped the removal of /etc/nologin
-	* Cleaned and tweaked both the output and actions of cleanfs
-	* Removed the disabling of hotplug from sendsignals
-	* Removed anything that might call "rmmod" in hotplug, since rmmod is
-	  notoriously troublesome in the 2.6.x kernels, and call it with the
-	  stop argument from runlevels 0 and 6
-	* Fixed previous modifications to the udev and cleanfs scripts
-
-n/a - June 20, 2004
-
-	* Rolled back to the /dev/.udev.tdb check from 2.1.1, since the new
-	  one doesn't work as well, and the bug that caused it to change is
-	  now fixed
-
-n/a - June 18, 2004
-
-	* Updated sysconfig/console
-	* Fixed disabling hotplug in sendsignals
-	* hotplug is now installed by default
-
-n/a - June 15, 2004
-
-	* Reset /proc/sys/kernel/hotplug to /bin/true when running the "stop"
-	  command for hotplug
-	* Cleaned the output of the mountkernfs script
-	* Don't output "Creating files and directories" when it's a lie
-
-n/a - June 8, 2004
-
-	* Changed the location the optional module script is installed to
-	  /etc/rc.d/rcsysinit.d/S05modules.
-
-n/a - June 4, 2004
-
-	* Added a echo to the > /proc/sys/kernel/hotplug line, as > did not
-	  clear it
-
-n/a - June 3, 2004
-
-	* Added '> /proc/sys/kernel/hotplug' to sendsignals, to disable hotplug
-	  events, which may start up new daemons
-	* Added elementry bootup logging support.  If it can write to
-	  /var/log/boot.log, it will
-	* Removed logging support, it kept / from being remounted ro
-
-n/a - June 2, 2004
-
-	* Reorganize what goes on in the udev script
-	* Reorganize what goes on in the hotplug script
-	* Moved setting /sbin/hotplug as the default hotplug manager into the
-	  hotplug script
-
-n/a - June 1, 2004
-
-	* Removed usbfs from mountkernfs, and mountfs
-	* Edited the udev script, so it'll always set /proc/sys/kernel/hotplug
-
-n/a - May 24, 2004
-
-	* Added more example keymaps and font settings to /etc/sysconfig/console
-	* Install the /etc/sysconfig/console file by default
-
-n/a - May 23, 2004
-
-	* Changed the symlink for the optional modules script
-	* Removed depmod from the optional modules script
-
-n/a - May 20, 2004
-
-	* Removed the random script.  There is not a strong enough case for
-	  adding it to the lfs-bootscripts.
-
-n/a - May 19, 2004
-
-	* Added the random bootscript from blfs-bootscripts
-
-2.1.1 - May 18, 2004
-
-	* Fixed installation of modules configuration
-	* Tagged as 2.1.1
-
-n/a - May 16, 2004
-
-	* Added sysklogd configuration file
-	* Added example /etc/sysconfig/console file
-	* Do not attempt to populate /dev if that directory has already been
-	  set up earlier in bootup (such as on initramfs/initrd)
-	* Prevent excessive kernel output once klogd starts
-	* Added hotplug script
-
-n/a - May 15, 2004
-
-	* Namespace rework (enumeration of scripts is now cleaner)
-	* Removed directories: blfs, contrib/new-boot-0.2, contrib/rlv
-
-n/a - May 13, 2004
-
-	* Repaired the console script
-	* Added a check to cleanfs [createfiles], to make sure that we have
-	  a valid devicetype, if we have type=dev
-
-n/a - May 11, 2004
-
-	* Added usbfs to mountkernfs and mountfs
-
-n/a - May 6, 2004
-
-	* Don't use loadproc in localnet, it's not meant for that
-	* Quote tests of $PIDFILE, so that things behave when it's empty
-	* Removed unused kill -0 from killproc
-
-2.1.0 - May 4, 2004
-
-	* Update to the console script, prevent install of the console script
-	* Chgrp /var/run/utmp to group utmp if it exists.
-	* Moved udev from contrib to lfs
-	* Moved GATEWAY setup from /etc/rc.d/init.d/network to
-	  /etc/sysconfig/network-devices/services/static
-	* Use the contents of $PIDFILE, if it is set in the script
-	* Tagged as 2.1.0.
-
-n/a - April 30, 2004
-
-	* Moved the loadkeys script to console, and added setfont.  Contributed
-	  by Alexander E. Patrakov
-
-2.0.5 - April 29, 2004
-
-	* Added the heimdal init script.
-	* Tagged as 2.0.5
-
-2.0.4 - April 27, 2004
-
-	* Tagged as 2.0.4
-
-n/a - April 24, 2004
-
-	* Added a example script for /etc/sysconfig/createfiles
-	* Added a check for /sys before mounting sysfs
-	* Added -t noramfs to umount on /etc/rc.d/init.d/mountfs.
-	  This will prevent /dev from being unmounted, if /proc/mounts
-	  is symlinked to /etc/mtab
-
-n/a - April 18, 2004
-
-	* Small fix to a if statement in netfs
-
-n/a - April 17, 2004
-
-	* Added the lisa bootscript, lisa is part of the KDE Network package
-	* Add proper error checking to the mountfs script when writing out mtab
-	* Add more comments to the udev script, and conditionalize various
-	  things that should've been done this way in the first place
-	* Include a template module auto-loading configuration file instead of
-	  having syntax comments in the script itself
-
-n/a - April 12, 2004
-
-	* Added a automatic modules loading script to the contrib directory
-	  submitted by Zack
-	* Edited mountkernfs, so that if you can mount sysfs on /sys, it will
-	  be mounted at boottime.  Should not affect 2.4 systems
-	* Since all entries are added to /etc/mtab, we should not require
-	  the NO_FS variable.  It has been removed from mountfs
-	* Added the udev script into the contrib directory, submitted by Zack
-
-2.0.3 - April 8, 2004
-
-	* Updated cleanfs, so it can create devices.  Supplied by Zack
-	* Tagged as 2.0.3
-
-n/a - March 31, 2004
-
-	* Changed "Press Enter" on unknown error to white
-	* Moved S10swap to S20swap.  When udev is added, it has to be
-	  ran before swap is setup
-
-n/a - March 29, 2004
-
-	* Fixed the rc5.d symlink for ntp so it creates S26ntp instead
-	  of S26npt
-	* Moved S20mountkernfs to S00mountkernfs in rcsysinit.d.  Will help in
-	  the addition of udev in the future.
-
-n/a - March 27, 2004
-
-	* Changed gdm path from hardcoded to program name.  There are 2 spots
-	  gnome can be installed
-
-n/a - March 26, 2004
-
-	* Updated fam daemon script.  It now uses the famd daemon instead of fam
-
-n/a - March 24, 2004
-
-	* Removed mount command out of nfs.  the netfs script already handles
-	  this
-
-2.0.2 - March 24, 2004
-
-	* Edited cleanfs to solve a problem.  [if /tmp does not exist, it
-	  could run the find command on the root filesystem]
-	* Tagged as 2.0.2
-
-2.0.1 - March 24, 2004
-
-	* Found typo in BLFS MySQL Script.
-	* Tagged as 2.0.1
-
-2.0.0 - March 23, 2004
-
-	* Tagged as 2.0.0, no changes from 2.0.0-pre2
-
-2.0.0-pre2 - March 23, 2004
-
-	* Cleaned the /tmp directory on bootup.  find command supplied by Zack
-	* Added a script which can automatically create files and directories
-	  on startup.  [Handles files/directories, permissions, and user/group].
-	  Created by Zack
-	* Added blfs/init.d/fam script
-	* Tagged as 2.0.0-pre2
-
-n/a - March 20, 2004
-
-	* Added create-service-dir target and removed from create-dirs
-	* Changed service script install targets to use
-	  create-service-dir
-	* Added check for dhcpcd service script for stale pid file 
-	  Suggested by Jeremy
-	* Added ifconfig to ipx service script for hosting device not up
-
-n/a - March 19, 2004
-
-	* Added support for ETCDIR, and DESTDIR in the Makefile,
-	  compliments of Tushar
-	* Renamed mountproc to mountkernfs
-	* Updated the README file
-	* Coloured the print_error_message in functions red
-	* added stop to the setclock script
-	* changed echo > to > in cleanfs, suggested by winkie
-	* BLFS Scripts Added,  collected by Zack
-	* Edited killproc, so it checks for running pids, rather then
-	  the completion of the above kill command.  Suggested by Zack
-	* Added network services found in blfs, removed adsl.  Submitted by
-	  DJ.
-
-1.99.4 - March 17, 2004
-
-	* Fixed one last halt line in checkfs script
-	* Moved the directory structure around
-	* Tagged as development release 1.99.4
-
-n/a - February 28, 2004
-
-	* Added stty sane to the top of rc.d/init.d/rc.  Hopefully, this will
-	  fix the problems
-	* Also changed all instances of <ctrl-j> back to enter
-
-1.99.3 - February 23, 2004
-
-	* Tagged as development release 1.99.3
-
-n/a - February 19, 2004
-
-	* Fixed checkfs script, so it will no longer continue to boot after a
-	  failure in the init.d/checkfs script.  Tested with the help of Andre
-	  Müller.  Fix suggested by Zack
-
-n/a - February 7, 2004
-
-	* Added -s onto grep on network stop
-	* Replaced a few more enter's with ctrl-j
-
-1.99.2 - February 6, 2004
-
-	* Added -s onto grep in network start
-	* Tagged as development release 1.99.2
-
-n/a - February 4, 2004
-
-	* Fixed $WARNING $NORMAL and $ERROR lines, broken by changes in
-	  functions
-	* Changed above fixes to work with ash
-	* Fixed checkfs symlink in Makefile
-	* functions is no longer installed as executable
-	* Added a check to checkfs, for errors above 16.  These are caused by
-	  being unable to run fsck, either due to user input, or a unfunctional
-	  linux system
-
-1.99.1 - February 2, 2004
-
-	* Tagged as development release 1.99.1
-
-n/a - February 2, 2004:
-
-	* Added -d to umount in mountfs.
-	* Fixed network shutdown script
-	* Fixed Makefile rc.6 to reboot
-	* Added -s flag to grep command in rc.d/init.d/network -
-          suppresses an error if no ifconfig.* files exist
-
-n/a - January 30, 2004:
-
-	* Reorganized the network system to accept multiple services.
-	* Ash Compliancy
-	* Modified some scripts to follow template
-	* Reorganized functions, based upon Ash Compliancy Patch
-	* Added a sleep 5 to failure for evaulate_retval, and changed
-	  evaulate_retval to return true instead of false.  Instead, a
-	  exit 1 will indicate the script terminated abnormally, causing
-	  your system to wait until you hit ctrl-J
-	* Switched "Press enter to continue" to "Press <ctrl-j> to continue"
-	* replaced 3 with $KILLDELAY in sendsignals
-	* mountfs does not mount network filesystems [identified by _netdev
-	  in /etc/fstab]
-	* removed unneded touch out of cleanfs
-
-n/a - January 30, 2004:
-
-	* New maintainers for the lfs-bootscripts package are:
-	Jeremy Utley (jeremy@linuxfromscratch.org)
-	Nathan Coulson (nathan@linuxfromscratch.org)
-
-1.11 - February 3rd, 2003:
-
-	* /etc/mtab is now a real file and is handled correctly so there are
-	no errors even when the machine has crashed.
-
-1.10 - September 12th, 2002:
-
-	* Fixed up checkfs to work with non-ext2 filesystems too (such as
-	minix).
-
-1.9 - April 5th, 2002:
-
-	* reloadproc function had a missing '=' in the "failure 1" command (it
-	  should be failure=1)
-
-	* When script exists with unexpected value, you have to hit "Enter" to
-	  continue, not just a random key as printed on the screen.
-
-	* Moved K10sysklogd, K20sendsignals, K30mount and K40swap to
-	  K40sysklogd, K50sendsignals, K60mount, K70swap
-
-	* Changed the #!/bin/sh lines to #!/bin/bash - /bin/sh may not be
-	  linked to bash but to some other shell of your choice. These scripts
-	  are written to work with bash, so you can't just run them when
-	  /bin/sh -> csh or ash or whatever else tickles your fancy. This
-	  change should fix that.
-
-1.8 - March 14th, 2002:
-
-	* Fixed the getpids function call so PPID's would be taken into account
-	  properly.
-
-	* Added the 'contrib' directory with other people's bootscript
-	  implementations.
-
-1.7 - March 10th, 2002:
-
-	* Used code from Matthias Benkmann's simpleinit-msb @
-	  http://winterdrache.de/linux/newboot/index.html mainly for improved
-	  killproc function handling
-
-	* When a requested process isn't running, or is already running, a
-	  warning "Not running" or "Already running" will be displayed. This
-	  was out of allignment due to a missing $CURS_UP
-
-	* Removed "||exit" from ifup and ifdown scripts. They are useless.
-
-	* Changed the loadkeys script to run "loadkeys -d" and removed the need
-	  for the /etc/sysconfig/keyboard file. The kbd patch fixes the
-	  "loadkeys -d" behaviour.
-
-1.6 - February 26th, 2002:
-
-	* replaced -o %PPID with -o $PPID throughout the functions script. This
-	construct does what it's supposed to do (don't take PPID into account
-	because this would fail if a running daemon and the bootscript have
-	the same name).
-
-	* added 'restart' to the swap script
-
-	* instead of using 'echo -n' to supress newlines so the [ OK ] and
-	  related messages allign properly, substitute this with a single echo
-	  command that simply goes one line up before outputting anything. This
-	  also has the benefit that when programs have their own output (like
-	  swapon, fsck and loadkeys), there won't be an unwanted blank line
-	  between the program's output and the [ OK ] et all. messages.
-
-1.5 - February 2nd, 2002:
-
-	* added 'exit 1' to the statusproc function when there aren't enough
-	parameters passed to it (such as the name of process to check for)
-
-1.4 - February 2nd, 2002:
-
-	* when /fastboot is detected and the message about it is printed,
-	  don't run 'exit 1' else the rc script will cause a [FAILED] to
-	  be printed which is undesired in this case.
-
-1.3 - January 30th, 2002:
-	* network script: changed default route detection by using the same
-	  method as used when starting the script: check if the GATEWAY
-	  variable is set
-
-	* removed the emptying of /etc/mtab since it's a symlink to
-	 /proc/mounts now
-
-	* added the mountproc script which mounts the proc system. This is done
-	  because we need proc mounted even before the mountfs script is ran
-	  (now that /etc/mtab is a symlink to /proc/mounts)
-
-	* removed all absolute paths from command calls
-
-	* added umask 022 and PATH="/bin:/usr/bin:/sbin:/usr/sbin" to the
-	  functions script. Every file now sources this so that umask and PATH
-	  are set correctly
-
-1.2 - January 26th, 2002:
-	* network script: detect if a default route is set before removing it
-
Index: bootscripts/CHANGELOG.old
===================================================================
--- bootscripts/CHANGELOG.old	(revision c6e8866382310e52863e8671d44842c3311cdb21)
+++ bootscripts/CHANGELOG.old	(revision c6e8866382310e52863e8671d44842c3311cdb21)
@@ -0,0 +1,791 @@
+n/a - September 11, 2005
+	* Removed text wraping and boot logging.
+	* Changed killproc to use warning if not running
+	* Changed 'print_status warning' to use old style output
+	* Fixed display error with LSB init-functions script
+	* Made above killproc/print_status changes in enhanced
+	  bootscripts.
+	* Made logger service configurable in enhanced 
+	  bootscripts. (DJ Lucas)
+
+n/a - August 14, 2005
+	* Added -s flag to pidofproc() for backwards 
+	  compatibility (DJ Lucas)
+	* Fixed erronous values returned by pidofproc() which 
+	  broke the functionality of statusproc (DJ Lucas)
+
+n/a - July 1, 2005
+	* Changed a == to a = in lfs/init.d/functions, in the boot_mesg
+	  function for ash compliancy (Nathan Coulson)
+
+n/a - June 26, 2005
+	* Removed consolelog script from contrib 
+	* Updated interactive rc script in contrib and added 
+	  README.rc-Interactive, added install target to the
+	  Makefile. (DJ Lucas)
+
+3.2.2 - May 29, 2005
+	* Tagged as 3.2.2 (Nathan Coulson)
+
+n/a - May 26, 2005
+	* Added minimal target for cross-lfs book (Jim Gifford)
+	* Fixed raq2 patch (Jim Gifford)
+
+3.2.1 - May 1, 2005
+	* Tagged as 3.2.1 (Nathan Coulson)
+
+n/a - April 17, 2005
+	* removed touch from hotplug bootscript (Matthew Burgess)
+	* moved commands around in localnet bootscript (Andrew Benton)
+
+3.2.0 - March 30, 2005
+	* Changed from syslog-ng to sysklogd (Archaic)
+	* Temporairly changed loadproc to return 0 if the program is
+	  already running (Nathan Coulson)
+	* Fixed (by reverting) ifup/ifdown/network (Nathan Coulson),
+	  Reported by Jim Gifford
+	* Fixed network up/down along with adding support of ONHOTPLUG
+	* Tagged as 3.2.0
+
+n/a - March 19, 2005
+	* Updated RaQ2 patch (Jim Gifford)
+	* Added net.agent for Hotplug of Network adapters in contrib
+	  (Jim Gifford)
+
+n/a - March 16, 2005
+	* Reverted the change from loadproc to start_daemon,
+	  Moved compatibility code into one single function.
+	  (Nathan Coulson)
+	* Readded the ONHOTPLUG option for ifup/ifdown (Nathan Coulson)
+	* Fixed killproc's output
+
+n/a - March 01, 2005
+	* Added CHECK_LINK variable in ifconfig.*/*, so if the
+	  interface does not exist, it will not fail.
+	  (Nathan Coulson)
+
+n/a - February 19, 2005
+	* Added evaluate_retval to the end of loadproc and killproc.
+	  lsb does not say that killproc should print [  OK  ],
+	  but required for compatibility.  (Nathan Coulson)
+
+n/a - February 9, 2005
+	* Accidently mounted /dev with 775 instead of 755, fixed
+	  (Reported by Alexander E. Patrakov)
+
+n/a - February 9, 2005
+	* Bugfix for /dev, now mounted with 755 permission
+
+n/a - February 8, 2005
+	* changed pidof, so it doesnt check the process id
+	  of running bootscripts, and to process shell scripts
+	  (Nathan Coulson)
+
+n/a - February 6, 2005
+	* Updated main functions file with lsb functions file
+	  Should now be LSB compliant (Nathan Coulson)
+
+n/a - January 10, 2005
+	* Moved ONBOOT check back to network (Nathan Coulson)
+	* Removed ONHOTPLUG check (Nathan Coulson)
+
+n/a - January 6, 2005
+	* fixed mountkernfs output (Nathan Coulson)
+	* reverted mountfs fakemounting (Nathan Coulson)
+
+n/a - January 5, 2005
+	* Attempted to simplify network bootup files (Nathan Coulson)
+	* Modified mountkernfs to use mountpoint (Nathan Coulson)
+	* Assuming sysfs is always mounted (Nathan Coulson)
+	* Moved fakemount to below mounting (Nathan Coulson)
+	* Removed -t noramfs from umount, as we now use tmpfs (Nathan Coulson)
+	* moved sysctl from mountkernfs to sysctl (Nathan Coulson)
+	* Added -q to sysctl (Nathan Coulson)
+
+n/a - January 2, 2005
+	* Fixed statusproc output. (DJ Lucas)
+
+3.1.0 - December 31, 2004
+	* fixed textoutput
+	* Tagged as 3.1.0
+
+n/a - December 30, 2004
+	* Fixed name of LSB Functions file
+	* Changed boot_mesg to act like echo instead of echo -n, boot_mesg now
+	  takes the -n argument if you do not wish to goto the next line
+
+3.0.1 - December 25, 2004
+	* Released as 3.0.1
+
+n/a - December 20, 2004
+	* Cleaned up header.
+	* Added RaQ2 Patch
+
+n/a - December 16, 2004
+	* Fixed a text typo in udev, tmpfs instead of ramfs (Steve Crosby)
+
+n/a - December 14, 2004
+	* Fixed a warning with find in cleanfs
+
+
+3.0 - December 8, 2004
+
+n/a - December 5, 2004
+	* Moved bootlog to use local2 service to avoide conflict with
+	  dhcpcd (DJ Lucas)
+
+3.0-rc1 - December 1, 2004
+	* rc-Interactive added (DJ Lucas)
+	* rc-Interactive moved to contrib (Nathan Coulson)
+
+n/a - November 27, 2004
+	* Moved bootlog to use local1 to avoid conflict with ppd (DJ Lucas)
+
+n/a - November 25, 2004
+	* Added consolelog to contrib/sysconfig (DJ Lucas)
+	* Rewrite of line wraping in boot_mesg and various fixes
+	  related to boot_mesg changes (DJ Lucas, Alexander Patrakov)
+	* syslog-ng is now installed by default (Jeremy Utley)
+	* hotplug is now installed by default (Jeremy Utley)
+	* udev now uses /sbin/hotplug as the default hotplug handler (Nathan Coulson)
+	* udev now mounts a tmpfs instead of a ramfs onto /dev,
+	  as suggested by Greg K-H (Nathan Coulson)
+	* Created contrib/lsb, and added a LSB compliant functions file
+	  (Nathan Coulson, and Alexander Patrakov)
+	* Modified find [requires find 4.2.3+] (Matthew Burgess)
+
+n/a - November 20, 2004
+	* Modifed modules script to return to previous kernel message
+	  level (DJ Lucas)
+
+n/a - November 02, 2004
+	* Added sysctl -p to mountkernfs (Matthew Burgess, DJ Lucas)
+
+n/a - October 07, 2004
+	* statusproc modified not to send data to bootlog (Nathan Coulson)
+	* Fixed halt commands in checkfs and udev (James Robertson)
+
+n/a - October 04, 2004
+	* Fixes to commit on 2004/09/30 (James Robertson)
+	* Revert a few changes until later (Nathan Coulson)
+	* Added a warning about switching from a 8bit font
+	  to a 9bit font (Alexander Patrakov)
+
+n/a - September 30, 2004
+	* Finished off boot_mesg() (James Robertson)
+	* Standardized all scripts to same variable format and other
+	  internal sh/bash function calls (James Robertson)
+	* Fully implemented boot_mesg across all scripts in sysconfig
+	  and init.d (James Robertson)
+
+n/a - September 26, 2004
+	* Added BOOTMESG_PREFIX variable, so users can optionally set a
+	  prefix for boot messages (James Robertson)
+	* Fixed localnet status, to use ip instead of ifconfig (Jim Gifford)
+	* Added consolelog to contrib (DJ Lucas)
+	* loadproc and killproc can have the -nomsg parameter to avoid
+	  calling evaluate_retval or print_status (Jim Gifford)
+	* boot_mesg no longer explicitly adds a \n onto end of lines
+	* Added a function called boot_mesg_flush, which can
+	  dump the BOOTMESG to the bootlog.  This helps avoid making
+	  everything have to end in OK/WARN/FAIL (Nathan Coulson)
+
+n/a - September 24, 2004
+	* Removed /dev/udev.tdb test
+
+n/a - September 23, 2004
+	* Fixed boot_log so it output's $@'s contents, not @$
+	* Added support for colors in boot_mesg (James Robertson)
+	* Modified udev's error checking
+	* Modified hotplug's error checking
+	* Converted checkfs's error handling to use boot_mesg with
+	  color support
+	* Added $INFO color to functions (James Robertson)
+
+n/a - September 22, 2004
+	* Removed the dependency on wl by replacing it with grep (Bryan Kadzban)
+	* Fixed getpids, to remove unused pids obtained from $PIDFILE
+	* Removed ${NORMAL} from echo "$BOOTMESG" in functions, and removed
+	   space added to each additional sentence tacked onto BOOTMESG
+	* boot_mesg now handles \n's properly, and does not dimish the size of
+	  the next line (James Robertson)
+	* boot_log has been added.  The echo_ functions commit the log,
+	  and then clear the BOOTMSG variable
+	* All scriptes have been converted to use boot_mesg
+
+n/a - September 21, 2004
+	* boot_mesg has been enhanced.  Subsequent calls will overwrite previous
+	  text, and it will wrap text basedupon the variable ${WCOL}. 
+	  (James Robertson)
+	* Fixed mtu optional service typo (Kevin P Fleming)
+	* Added SOURCE variable to ipv4-static-route (Kevin P Fleming)
+
+n/a - September 16, 2004
+	* nework interfaces are now brought down in reverse order
+
+n/a - September 15, 2004
+	* Added blue bracket, from dj's 3.0-pre1 bootscript package 
+	  [echo_failure, echo_warning, and echo_ok]
+	* Added a new function called boot_mesg, meant to replace the echo
+	  command.
+	  This will give us the posibility of doing logging at a later date
+	* Do not set COLUMNS if COLUMNS is already set
+	* Modified getpids, loadproc, killproc, reloadproc, and statusproc as
+	  done by DJ
+
+2.2.3 - September 04, 2004
+	* Tagged as 2.2.3
+
+n/a - September 04, 2004
+	* Added new script to contrib for syslog-ng, which is now part of
+	  LFS-Unstable, and a new Makefile target install-syslog-ng which
+	  removes the sysklogd links, and replaces them with syslog-ng (JU)
+
+2.2.2 - August 11, 2004
+	* Tagged as 2.2.2
+
+n/a - August 7, 2004
+	* Added missing error redirect (/dev/null) in getpids. (DJ)
+
+n/a - August 4, 2004
+	* Added MODE, DIRMODE, and CONFMODE variables to the makefile 
+	  to allow permissions to be set at install. (DJ)
+
+n/a - July 31, 2004
+	
+	* Moved PIDFILE check to getpids and removed arguments from
+	  killproc and reloadproc.  Signals are now set at begining of
+	  funtcions script with KILLDELAY. (DJ)
+	* Added a optional service script which can set the MTU for a given
+	  interface
+
+n/a - July 21, 2004
+
+	* Committed DJ Lucas's patch for the killproc function.  It no 
+	  longer requires arguments if PIDFILE is set
+	* added --backup to all sysconfig configuration files, so they are not
+	  replaced on a make install
+
+n/a - July 13, 2004
+
+	* Added the PEER variable to the ifconfig.*/* file, done by
+	  Kevin P. Fleming
+
+2.2.1 - July 12, 2004
+
+	* Tagged as 2.2.1
+
+n/a - July 12, 2004
+
+	* Hotplug was moved from rcsysinit.d to rc{1,2,3,4,5} to help bring
+	  up/down network interfaces started by hotplug.  This has been revoked
+	  at this time
+	* Networking interfaces are now brought down in reverse order
+	* Moved the ONBOOT check to within ifup/ifdown, so we can bring up/down
+	  the interfaces at boottime/shutdown properly, done by Kevin P. Fleming
+	* Use PREFIX instead of NETMASK for adding addresses in ipv4-static,
+	  done by Kevin P. Fleming
+	* Fix reversal of services inside ifconfig.* directories in ifdown,
+	  done by Kevin P. Fleming
+	* Add ipv4-static-route service, supplied by Kevin P. Fleming
+
+2.2.0 - July 12, 2004
+
+	* Tagged as 2.2.0
+
+n/a - July 11, 2004
+
+	* Minor script output changes
+	* Repaired networking scripts broken in previous commits
+
+n/a - July 10, 2004
+
+	* We now use the ip program [from iproute2] instead of ipconfig
+	  [net-tools] to bring up/down ethernet interfaces, and local
+	  connections, submitted by Jim Gifford
+	* Removed gateway backward compatibility
+	* Removed ifup-eth0 ifdown-eth0 compatibility
+	* Removed the "assume SERVICE=static if SERVICE is unset" compatibility
+	* Pass the IFCONFIG environmental variable to services, so they can
+	  locate the file with the parameters they must read
+	* Rename static to ipv4-static
+	* Stage1 for network configuration via directories, ifup and ifdown
+	  modified, and the static service modified
+	* Stage2 for network configuration via directories complete, network was
+	  modified to check within subdirectories for ONBOOT=yes.  Final Stage
+
+n/a - July 8, 2004
+
+	* Changed iso01 to lat1 everywhere in /etc/sysconfig/console. This
+	  fixes the problem with line-drawing characters.
+
+n/a - July 7, 2004
+
+	* Halted the computer, if unable to mount /dev as a ramfs
+
+n/a - July 6, 2004
+
+	* Moved the hotplug bootscript back to contrib, it will not be used in
+	  the testing branch of the lfs book at this time
+
+n/a - July 4, 2004
+
+	* Modified ifup and ifdown to be hotplug aware
+
+n/a - July 3, 2004
+
+	* Change the check for ONBOOT into a source within a subshell
+
+n/a - July 1, 2004
+
+	* Moved hotplug start to runlevels 3-5 from sysinit
+
+n/a - June 30, 2004
+
+	* Pass -depth in cleanfs
+
+n/a - June 29, 2004
+
+	* Made the grep for ONBOOT in the network script more exact
+
+2.1.2 - June 27, 2004
+
+	* Install the automatic module loading script by default
+	* Tagged as 2.1.2
+
+n/a - June 26, 2004
+
+	* Fixed font for UK in /etc/sysconfig/console
+
+n/a - June 23, 2004
+
+	* Fixed a typo in the hotplug installation procedure
+
+n/a - June 21, 2004
+
+	* Re-ordered the "mount" and "echo" commands in the udev script, to
+	  prevent a possible race
+	* Converted the udev script to use udevsend/udevd
+	* Moved removal of /fastboot and /forcefsck to just after the root fs
+	  becomes writable, and dropped the removal of /etc/nologin
+	* Cleaned and tweaked both the output and actions of cleanfs
+	* Removed the disabling of hotplug from sendsignals
+	* Removed anything that might call "rmmod" in hotplug, since rmmod is
+	  notoriously troublesome in the 2.6.x kernels, and call it with the
+	  stop argument from runlevels 0 and 6
+	* Fixed previous modifications to the udev and cleanfs scripts
+
+n/a - June 20, 2004
+
+	* Rolled back to the /dev/.udev.tdb check from 2.1.1, since the new
+	  one doesn't work as well, and the bug that caused it to change is
+	  now fixed
+
+n/a - June 18, 2004
+
+	* Updated sysconfig/console
+	* Fixed disabling hotplug in sendsignals
+	* hotplug is now installed by default
+
+n/a - June 15, 2004
+
+	* Reset /proc/sys/kernel/hotplug to /bin/true when running the "stop"
+	  command for hotplug
+	* Cleaned the output of the mountkernfs script
+	* Don't output "Creating files and directories" when it's a lie
+
+n/a - June 8, 2004
+
+	* Changed the location the optional module script is installed to
+	  /etc/rc.d/rcsysinit.d/S05modules.
+
+n/a - June 4, 2004
+
+	* Added a echo to the > /proc/sys/kernel/hotplug line, as > did not
+	  clear it
+
+n/a - June 3, 2004
+
+	* Added '> /proc/sys/kernel/hotplug' to sendsignals, to disable hotplug
+	  events, which may start up new daemons
+	* Added elementry bootup logging support.  If it can write to
+	  /var/log/boot.log, it will
+	* Removed logging support, it kept / from being remounted ro
+
+n/a - June 2, 2004
+
+	* Reorganize what goes on in the udev script
+	* Reorganize what goes on in the hotplug script
+	* Moved setting /sbin/hotplug as the default hotplug manager into the
+	  hotplug script
+
+n/a - June 1, 2004
+
+	* Removed usbfs from mountkernfs, and mountfs
+	* Edited the udev script, so it'll always set /proc/sys/kernel/hotplug
+
+n/a - May 24, 2004
+
+	* Added more example keymaps and font settings to /etc/sysconfig/console
+	* Install the /etc/sysconfig/console file by default
+
+n/a - May 23, 2004
+
+	* Changed the symlink for the optional modules script
+	* Removed depmod from the optional modules script
+
+n/a - May 20, 2004
+
+	* Removed the random script.  There is not a strong enough case for
+	  adding it to the lfs-bootscripts.
+
+n/a - May 19, 2004
+
+	* Added the random bootscript from blfs-bootscripts
+
+2.1.1 - May 18, 2004
+
+	* Fixed installation of modules configuration
+	* Tagged as 2.1.1
+
+n/a - May 16, 2004
+
+	* Added sysklogd configuration file
+	* Added example /etc/sysconfig/console file
+	* Do not attempt to populate /dev if that directory has already been
+	  set up earlier in bootup (such as on initramfs/initrd)
+	* Prevent excessive kernel output once klogd starts
+	* Added hotplug script
+
+n/a - May 15, 2004
+
+	* Namespace rework (enumeration of scripts is now cleaner)
+	* Removed directories: blfs, contrib/new-boot-0.2, contrib/rlv
+
+n/a - May 13, 2004
+
+	* Repaired the console script
+	* Added a check to cleanfs [createfiles], to make sure that we have
+	  a valid devicetype, if we have type=dev
+
+n/a - May 11, 2004
+
+	* Added usbfs to mountkernfs and mountfs
+
+n/a - May 6, 2004
+
+	* Don't use loadproc in localnet, it's not meant for that
+	* Quote tests of $PIDFILE, so that things behave when it's empty
+	* Removed unused kill -0 from killproc
+
+2.1.0 - May 4, 2004
+
+	* Update to the console script, prevent install of the console script
+	* Chgrp /var/run/utmp to group utmp if it exists.
+	* Moved udev from contrib to lfs
+	* Moved GATEWAY setup from /etc/rc.d/init.d/network to
+	  /etc/sysconfig/network-devices/services/static
+	* Use the contents of $PIDFILE, if it is set in the script
+	* Tagged as 2.1.0.
+
+n/a - April 30, 2004
+
+	* Moved the loadkeys script to console, and added setfont.  Contributed
+	  by Alexander E. Patrakov
+
+2.0.5 - April 29, 2004
+
+	* Added the heimdal init script.
+	* Tagged as 2.0.5
+
+2.0.4 - April 27, 2004
+
+	* Tagged as 2.0.4
+
+n/a - April 24, 2004
+
+	* Added a example script for /etc/sysconfig/createfiles
+	* Added a check for /sys before mounting sysfs
+	* Added -t noramfs to umount on /etc/rc.d/init.d/mountfs.
+	  This will prevent /dev from being unmounted, if /proc/mounts
+	  is symlinked to /etc/mtab
+
+n/a - April 18, 2004
+
+	* Small fix to a if statement in netfs
+
+n/a - April 17, 2004
+
+	* Added the lisa bootscript, lisa is part of the KDE Network package
+	* Add proper error checking to the mountfs script when writing out mtab
+	* Add more comments to the udev script, and conditionalize various
+	  things that should've been done this way in the first place
+	* Include a template module auto-loading configuration file instead of
+	  having syntax comments in the script itself
+
+n/a - April 12, 2004
+
+	* Added a automatic modules loading script to the contrib directory
+	  submitted by Zack
+	* Edited mountkernfs, so that if you can mount sysfs on /sys, it will
+	  be mounted at boottime.  Should not affect 2.4 systems
+	* Since all entries are added to /etc/mtab, we should not require
+	  the NO_FS variable.  It has been removed from mountfs
+	* Added the udev script into the contrib directory, submitted by Zack
+
+2.0.3 - April 8, 2004
+
+	* Updated cleanfs, so it can create devices.  Supplied by Zack
+	* Tagged as 2.0.3
+
+n/a - March 31, 2004
+
+	* Changed "Press Enter" on unknown error to white
+	* Moved S10swap to S20swap.  When udev is added, it has to be
+	  ran before swap is setup
+
+n/a - March 29, 2004
+
+	* Fixed the rc5.d symlink for ntp so it creates S26ntp instead
+	  of S26npt
+	* Moved S20mountkernfs to S00mountkernfs in rcsysinit.d.  Will help in
+	  the addition of udev in the future.
+
+n/a - March 27, 2004
+
+	* Changed gdm path from hardcoded to program name.  There are 2 spots
+	  gnome can be installed
+
+n/a - March 26, 2004
+
+	* Updated fam daemon script.  It now uses the famd daemon instead of fam
+
+n/a - March 24, 2004
+
+	* Removed mount command out of nfs.  the netfs script already handles
+	  this
+
+2.0.2 - March 24, 2004
+
+	* Edited cleanfs to solve a problem.  [if /tmp does not exist, it
+	  could run the find command on the root filesystem]
+	* Tagged as 2.0.2
+
+2.0.1 - March 24, 2004
+
+	* Found typo in BLFS MySQL Script.
+	* Tagged as 2.0.1
+
+2.0.0 - March 23, 2004
+
+	* Tagged as 2.0.0, no changes from 2.0.0-pre2
+
+2.0.0-pre2 - March 23, 2004
+
+	* Cleaned the /tmp directory on bootup.  find command supplied by Zack
+	* Added a script which can automatically create files and directories
+	  on startup.  [Handles files/directories, permissions, and user/group].
+	  Created by Zack
+	* Added blfs/init.d/fam script
+	* Tagged as 2.0.0-pre2
+
+n/a - March 20, 2004
+
+	* Added create-service-dir target and removed from create-dirs
+	* Changed service script install targets to use
+	  create-service-dir
+	* Added check for dhcpcd service script for stale pid file 
+	  Suggested by Jeremy
+	* Added ifconfig to ipx service script for hosting device not up
+
+n/a - March 19, 2004
+
+	* Added support for ETCDIR, and DESTDIR in the Makefile,
+	  compliments of Tushar
+	* Renamed mountproc to mountkernfs
+	* Updated the README file
+	* Coloured the print_error_message in functions red
+	* added stop to the setclock script
+	* changed echo > to > in cleanfs, suggested by winkie
+	* BLFS Scripts Added,  collected by Zack
+	* Edited killproc, so it checks for running pids, rather then
+	  the completion of the above kill command.  Suggested by Zack
+	* Added network services found in blfs, removed adsl.  Submitted by
+	  DJ.
+
+1.99.4 - March 17, 2004
+
+	* Fixed one last halt line in checkfs script
+	* Moved the directory structure around
+	* Tagged as development release 1.99.4
+
+n/a - February 28, 2004
+
+	* Added stty sane to the top of rc.d/init.d/rc.  Hopefully, this will
+	  fix the problems
+	* Also changed all instances of <ctrl-j> back to enter
+
+1.99.3 - February 23, 2004
+
+	* Tagged as development release 1.99.3
+
+n/a - February 19, 2004
+
+	* Fixed checkfs script, so it will no longer continue to boot after a
+	  failure in the init.d/checkfs script.  Tested with the help of Andre
+	  Müller.  Fix suggested by Zack
+
+n/a - February 7, 2004
+
+	* Added -s onto grep on network stop
+	* Replaced a few more enter's with ctrl-j
+
+1.99.2 - February 6, 2004
+
+	* Added -s onto grep in network start
+	* Tagged as development release 1.99.2
+
+n/a - February 4, 2004
+
+	* Fixed $WARNING $NORMAL and $ERROR lines, broken by changes in
+	  functions
+	* Changed above fixes to work with ash
+	* Fixed checkfs symlink in Makefile
+	* functions is no longer installed as executable
+	* Added a check to checkfs, for errors above 16.  These are caused by
+	  being unable to run fsck, either due to user input, or a unfunctional
+	  linux system
+
+1.99.1 - February 2, 2004
+
+	* Tagged as development release 1.99.1
+
+n/a - February 2, 2004:
+
+	* Added -d to umount in mountfs.
+	* Fixed network shutdown script
+	* Fixed Makefile rc.6 to reboot
+	* Added -s flag to grep command in rc.d/init.d/network -
+          suppresses an error if no ifconfig.* files exist
+
+n/a - January 30, 2004:
+
+	* Reorganized the network system to accept multiple services.
+	* Ash Compliancy
+	* Modified some scripts to follow template
+	* Reorganized functions, based upon Ash Compliancy Patch
+	* Added a sleep 5 to failure for evaulate_retval, and changed
+	  evaulate_retval to return true instead of false.  Instead, a
+	  exit 1 will indicate the script terminated abnormally, causing
+	  your system to wait until you hit ctrl-J
+	* Switched "Press enter to continue" to "Press <ctrl-j> to continue"
+	* replaced 3 with $KILLDELAY in sendsignals
+	* mountfs does not mount network filesystems [identified by _netdev
+	  in /etc/fstab]
+	* removed unneded touch out of cleanfs
+
+n/a - January 30, 2004:
+
+	* New maintainers for the lfs-bootscripts package are:
+	Jeremy Utley (jeremy@linuxfromscratch.org)
+	Nathan Coulson (nathan@linuxfromscratch.org)
+
+1.11 - February 3rd, 2003:
+
+	* /etc/mtab is now a real file and is handled correctly so there are
+	no errors even when the machine has crashed.
+
+1.10 - September 12th, 2002:
+
+	* Fixed up checkfs to work with non-ext2 filesystems too (such as
+	minix).
+
+1.9 - April 5th, 2002:
+
+	* reloadproc function had a missing '=' in the "failure 1" command (it
+	  should be failure=1)
+
+	* When script exists with unexpected value, you have to hit "Enter" to
+	  continue, not just a random key as printed on the screen.
+
+	* Moved K10sysklogd, K20sendsignals, K30mount and K40swap to
+	  K40sysklogd, K50sendsignals, K60mount, K70swap
+
+	* Changed the #!/bin/sh lines to #!/bin/bash - /bin/sh may not be
+	  linked to bash but to some other shell of your choice. These scripts
+	  are written to work with bash, so you can't just run them when
+	  /bin/sh -> csh or ash or whatever else tickles your fancy. This
+	  change should fix that.
+
+1.8 - March 14th, 2002:
+
+	* Fixed the getpids function call so PPID's would be taken into account
+	  properly.
+
+	* Added the 'contrib' directory with other people's bootscript
+	  implementations.
+
+1.7 - March 10th, 2002:
+
+	* Used code from Matthias Benkmann's simpleinit-msb @
+	  http://winterdrache.de/linux/newboot/index.html mainly for improved
+	  killproc function handling
+
+	* When a requested process isn't running, or is already running, a
+	  warning "Not running" or "Already running" will be displayed. This
+	  was out of allignment due to a missing $CURS_UP
+
+	* Removed "||exit" from ifup and ifdown scripts. They are useless.
+
+	* Changed the loadkeys script to run "loadkeys -d" and removed the need
+	  for the /etc/sysconfig/keyboard file. The kbd patch fixes the
+	  "loadkeys -d" behaviour.
+
+1.6 - February 26th, 2002:
+
+	* replaced -o %PPID with -o $PPID throughout the functions script. This
+	construct does what it's supposed to do (don't take PPID into account
+	because this would fail if a running daemon and the bootscript have
+	the same name).
+
+	* added 'restart' to the swap script
+
+	* instead of using 'echo -n' to supress newlines so the [ OK ] and
+	  related messages allign properly, substitute this with a single echo
+	  command that simply goes one line up before outputting anything. This
+	  also has the benefit that when programs have their own output (like
+	  swapon, fsck and loadkeys), there won't be an unwanted blank line
+	  between the program's output and the [ OK ] et all. messages.
+
+1.5 - February 2nd, 2002:
+
+	* added 'exit 1' to the statusproc function when there aren't enough
+	parameters passed to it (such as the name of process to check for)
+
+1.4 - February 2nd, 2002:
+
+	* when /fastboot is detected and the message about it is printed,
+	  don't run 'exit 1' else the rc script will cause a [FAILED] to
+	  be printed which is undesired in this case.
+
+1.3 - January 30th, 2002:
+	* network script: changed default route detection by using the same
+	  method as used when starting the script: check if the GATEWAY
+	  variable is set
+
+	* removed the emptying of /etc/mtab since it's a symlink to
+	 /proc/mounts now
+
+	* added the mountproc script which mounts the proc system. This is done
+	  because we need proc mounted even before the mountfs script is ran
+	  (now that /etc/mtab is a symlink to /proc/mounts)
+
+	* removed all absolute paths from command calls
+
+	* added umask 022 and PATH="/bin:/usr/bin:/sbin:/usr/sbin" to the
+	  functions script. Every file now sources this so that umask and PATH
+	  are set correctly
+
+1.2 - January 26th, 2002:
+	* network script: detect if a default route is set before removing it
+
Index: bootscripts/Changelog
===================================================================
--- bootscripts/Changelog	(revision c6e8866382310e52863e8671d44842c3311cdb21)
+++ bootscripts/Changelog	(revision c6e8866382310e52863e8671d44842c3311cdb21)
@@ -0,0 +1,6 @@
+jim - May 9, 2006
+        * Add support for LCD Screens
+
+This is a new Changelog. The old one is now renamed to CHANGELOG.old.
+These scripts are based on LFS-Bootscripts 3.2.2
+
Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision ed30f2e343c5638c51cde5ab993267af41abbf25)
+++ bootscripts/Makefile	(revision c6e8866382310e52863e8671d44842c3311cdb21)
@@ -123,4 +123,15 @@
 	if [ ! -f ${EXTDIR}/sysconfig/createfiles ]; then install -m ${CONFMODE} lfs/sysconfig/createfiles ${EXTDIR}/sysconfig/; fi
 
-.PHONY: all create-dirs create-service-dir \
-	install install-service-mtu
+install-raq2: 
+	install -m ${MODE} lfs/init.d/paneld        ${EXTDIR}/rc.d/init.d/
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc0.d/K01paneld
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc1.d/S99paneld
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc2.d/S99paneld
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc3.d/S99paneld
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc4.d/S99paneld
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc5.d/S99paneld
+	ln -sf ../init.d/paneld      ${EXTDIR}/rc.d/rc6.d/K01paneld
+	if [ ! -f ${EXTDIR}/sysconfig/lcd          ]; then install -m ${CONFMODE} lfs/sysconfig/lcd-raq2          ${EXTDIR}/sysconfig/lcd; fi
+
+.PHONY: all create-dirs create-service-dir install install-consolelog \
+	install-service-mtu minimal install-raq2
Index: bootscripts/lfs/init.d/functions
===================================================================
--- bootscripts/lfs/init.d/functions	(revision ed30f2e343c5638c51cde5ab993267af41abbf25)
+++ bootscripts/lfs/init.d/functions	(revision c6e8866382310e52863e8671d44842c3311cdb21)
@@ -13,4 +13,8 @@
 #
 ########################################################################
+
+if [ -e /etc/sysconfig/lcd ]; then
+	source /etc/sysconfig/lcd
+fi
 
 ## Environmental setup
@@ -82,4 +86,9 @@
 	local ECHOPARM=""
 
+	if [ "$LCD_PROG" ]; then
+		LCD_OUT1="${1:0:$LCD_CHAR}"
+		$LCD_PROG "$LCD_OUT1"
+	fi
+
 	while true
 	do
@@ -126,4 +135,8 @@
 	echo -e "${NORMAL}"
 	boot_mesg_flush "[  OK  ]"
+	if [ "$LCD_PROG" ]; then
+		LCD_OUT2="[  OK  ]"
+		$LCD_PROG $LCD_OPTIONS "$LCD_OUT1" "$LCD_OUT2"
+	fi
 }
 
@@ -133,4 +146,8 @@
 	echo -e "${NORMAL}"
 	boot_mesg_flush "[ FAIL ]"
+	if [ "$LCD_PROG" ]; then
+		LCD_OUT2="[  FAIL  ]"
+		$LCD_PROG $LCD_OPTIONS "$LCD_OUT1" "$LCD_OUT2"
+	fi
 }
 
@@ -139,4 +156,8 @@
 	echo -n -e "${CURS_UP}${SET_COL}${BRACKET}[${WARNING} WARN ${BRACKET}]"
 	echo -e "${NORMAL}"
+	if [ "$LCD_PROG" ]; then
+		LCD_OUT2="[  WARN  ]"
+		$LCD_PROG $LCD_OPTIONS "$LCD_OUT1" "$LCD_OUT2"
+	fi
 	boot_mesg_flush "[ WARN ]"
 }
@@ -160,5 +181,9 @@
 	boot_mesg -n "Press Enter to continue..." ${INFO}
 	boot_mesg "" ${NORMAL}
-	read ENTER
+	if [ "$LCD_PROG" ]; then
+		sleep 10
+	else
+		read ENTER
+	fi
 }
 
Index: bootscripts/lfs/sysconfig/lcd-raq2
===================================================================
--- bootscripts/lfs/sysconfig/lcd-raq2	(revision c6e8866382310e52863e8671d44842c3311cdb21)
+++ bootscripts/lfs/sysconfig/lcd-raq2	(revision c6e8866382310e52863e8671d44842c3311cdb21)
@@ -0,0 +1,26 @@
+########################################################################
+# Begin /etc/sysconfig/lcd
+#
+# Description : LCD Screen Control
+#
+# Authors     :
+#
+# Version     : 00.00
+#
+# Notes       :
+#
+########################################################################
+
+# The executable that writes to the LCD
+#
+LCD_PROG=/sbin/putlcd
+
+# Number of characters the screen can handle
+#
+LCD_CHAR=16
+
+# What command option emulates echo -n
+#
+LCD_OPTION=" -n "
+
+# End /etc/sysconfig/lcd
